<?
session_start();
include("../../clases/BDConexion.php");
include("../../clases/clsPer.php");
$objPer=new clsPer;
	if($ver==1){  
		$pasajeros_temp = array();
		//$pasajeros_temp1 = array();
	}
	if(count($pasajeros)>0){
	$pasajeros_temp=$pasajeros;
	}
//*****************************************************
$numorigen=$origen;
$numdestino=$destino;
$rso=$objPer->getNombreO($cod_ruta,$numorigen);
$rowo=$objPer->NextRow($rso);
$rsd=$objPer->getNombreD($cod_ruta,$numdestino);
$rowd=$objPer->NextRow($rsd);
$origen1=$rowo['de'];
$destino1=$rowd['para'];
//*****************************************************
$rs=$objPer->getLugarDistanciaParam($origen1,$destino1);
$row=$objPer->NextRow($rs);

if($row['distancia']==''){
$distancia=0;
}elseif($row['distancia']!=''){
$distancia=$row['distancia'];
}

$rsper=$objPer->getManRutaPass($cod_ruta,$origen1,$destino1);
$rowper=$objPer->NextRow($rsper);

//********************************************************************
//$existeruta=$objPer->ExisteManRutaPassOD($cod_ruta,$origen,$destino);
//$existeruta=$objPer->ExisteRutaOD($cod_ruta,$origen,$destino);
//********************************************************************
$rstrans=$objPer->getManTrans($mat_trans);
$rowtrans=$objPer->NextRow($rstrans);

$rsth=$objPer->getTransTH($matricula);
$rowth=$objPer->NextRow($rsth);

count($pasajeros);

	if(count($pasajeros)==0){
		$rsd=$objPer->getRutasLineas($cod_ruta,$numorigen,$numdestino);							   
        while($rowd=$objPer->NextRow($rsd)){
				if($tipo_mpass=='PASAJERO'){
				$origen=$rowd['de'];
				$destino=$rowd['para'];
				$numorigen=$rowd['numorigen'];	
				$numdestino=$rowd['numdestino'];
				$rsdis=$objPer->getLugarDistanciaParam1($origen,$destino);
			    $rowdis=$objPer->NextRow($rsdis);
				$id=$objPer->registrarManRutaPass($cod_ruta,$origen,$destino,($peso_per+$peso_eq),$numorigen,$numdestino);				
				
				$pasajeros[]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$rowdis['distancia'],$id,$numorigen,$numdestino);
				}
		}$objPer->Liberar($rsd); 
		if($tipo_mpass=='TRIPULANTE'){
		$peso_per=0;
		$peso_eq=0;
		$pasajeros[]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen1,$destino1,$distancia,$id,$numorigen,$numdestino);
		}
		$pasajeros_temp=$pasajeros;
		$salto=3;
	}elseif(count($pasajeros)>0){	
		if($tipo_mpass=='PASAJERO'){
			//if($rowper['numero']<$rowtrans['cappass_trans']){ //$rowtrans['cappass_trans']
				$rsd=$objPer->getRutasLineas($cod_ruta,$numorigen,$numdestino);							   
        		while($rowd=$objPer->NextRow($rsd)){
				$origen=$rowd['de'];
				$destino=$rowd['para'];	
				$numorigen=$rowd['numorigen'];	
				$numdestino=$rowd['numdestino'];	
				$rsdis=$objPer->getLugarDistanciaParam1($origen,$destino);
			    $rowdis=$objPer->NextRow($rsdis);					
				//$id=$objPer->registrarManRutaPass($cod_ruta,$origen,$destino,($peso_per+$peso_eq),$numorigen,$numdestino);
				
				while(list($clavex,$valorx)=each($pasajeros_temp)){	
									
					if($valorx[1]==$dociden_per && $valorx[11]==$numorigen && $valorx[12]==$numdestino){
					echo "ya existe el personal en la lista y con la misma ruta";
					$salto=1;
					break; 								
					}else{
						if($valorx[1]==$dociden_per && $valorx[11]==$numorigen && $valorx[12]==$numdestino){
						$salto=1;
						}else{
						$salto=2;
						}			
					}
				}
				if($salto==1){ 
				$pasajeros_temp=$pasajeros;
				}elseif($salto==2){
				$id=$objPer->registrarManRutaPass($cod_ruta,$origen,$destino,($peso_per+$peso_eq),$numorigen,$numdestino);				
				$pasajeros[]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$rowdis['distancia'],$id,$numorigen,$numdestino);
				$pasajeros_temp=$pasajeros;
				}
				}$objPer->Liberar($rsd);
				//$pasajeros_temp=$pasajeros;				
			/* }else{
			echo "No puede Ingresar mas pasajeros";
			} */
		}elseif($tipo_mpass=='TRIPULANTE'){			
			$pasajeros_temp=$pasajeros;
				while(list($clavex,$valorx)=each($pasajeros_temp)){	
									
					if($valorx[1]==$dociden_per){
					echo "ya existe el personal en la lista";
					$salto=1;
					break; 								
					}else{
						if($valorx[1]==$dociden_per){
						$salto=1;
						}else{
						$salto=2;
						}			
					}
				}
			
				if($salto==1){ 
				$pasajeros_temp=$pasajeros;
				}elseif($salto==2){
				$peso_per=0;
				$peso_eq=0;				
				$pasajeros[]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen1,$destino1,$distancia,$id,$numorigen,$numdestino);			
				$pasajeros_temp=$pasajeros;
				}			
		}
			
	} 




$v=1;
$cod_ruta=$cod_ruta;
$pesotrans=$rowtrans['capcarg_trans'];
$tipohora=$rowth['tipohora'];
include("../p_per_detalle.php");


//esto es valido para agregar personal que no se repita.
/*
if(count($pasajeros)==0){
		if($tipo_mpass=='PASAJERO'){	
		$id=$objPer->registrarManRutaPass($cod_ruta,$origen,$destino,$peso_per);
		}
		$pasajeros[]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$distancia,$id);
		$pasajeros_temp=$pasajeros;
		$salto=3;
	}elseif(count($pasajeros)>0){	
		if($tipo_mpass=='PASAJERO'){
			if($rowper['numero']<2){ //$rowtrans['mat_trans']
			
				while(list($clavex,$valorx)=each($pasajeros_temp)){	
									
					if($valorx[1]==$dociden_per){
					echo "ya existe el personal en la lista";
					$salto=1;
					break; 								
					}else{
						if($valorx[1]==$dociden_per){
						$salto=1;
						}else{
						$salto=2;
						}			
					}
				}
			
				if($salto==1){ 
				$pasajeros_temp=$pasajeros;
				}elseif($salto==2){
				$id=$objPer->registrarManRutaPass($cod_ruta,$origen,$destino,$peso_per);
				$pasajeros[]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$distancia,$id);			
				$pasajeros_temp=$pasajeros;
				}
			}else{
			echo "No puede Ingresar mas pasajeros";
			}
		}elseif($tipo_mpass=='TRIPULANTE'){			
			
				while(list($clavex,$valorx)=each($pasajeros_temp)){	
									
					if($valorx[1]==$dociden_per){
					echo "ya existe el personal en la lista";
					$salto=1;
					break; 								
					}else{
						if($valorx[1]==$dociden_per){
						$salto=1;
						}else{
						$salto=2;
						}			
					}
				}
			
				if($salto==1){ 
				$pasajeros_temp=$pasajeros;
				}elseif($salto==2){				
				$pasajeros[]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$distancia,$id);			
				$pasajeros_temp=$pasajeros;
				}			
		}
			
	} 
*/
?>